<resource schema="ivoa" resdir="__system">
	<meta name="creationDate">2021-11-11T13:00:00</meta>
	<meta name="subject">observational-astronomy</meta>
	<meta name="subject">interferometry</meta>
	<meta name="description">The ObsCore extension for visibilities as
		resulting from interferometric observations.  This is still
		in intensive development; do not expect this to be stable.
	</meta>

	<STREAM id="obs-vis-columns">
		<doc>
			The columns of the ObsCore visibility extension.  You may want
			to replay this into a table intended to mix in //obs-vis#publish
			-- but there is nothing wrong with not doing so.
		</doc>

		<column name="t_exp_min" type="double precision"
			unit="d"/>
		<column name="s_resolution_min" type="double precision"
			unit="arcsec" ucd="pos.AngResol;stat.min"
			tablehead="Res. lo"
			description="Lowest angular resolution attainable from this visibility
				(a function of, among others, the smallest baseline)"/>
		<column name="s_resolution_max" type="double precision"
			unit="arcsec" ucd="pos.AngResol;stat.max"
			tablehead="Res. hi"
			description="Highest angular resolution attainable from this visibility
				(a function of, among others, the longest baseline)"/>

	</STREAM>

</resource>
